--------------------------------------------------------------------------------
-- Copyright (c) 1995-2003 Xilinx, Inc.
-- All Right Reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 10.1
--  \   \         Application : ISE
--  /   /         Filename : testznj.vhw
-- /___/   /\     Timestamp : Thu Dec 02 14:33:05 2010
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: 
--Design Name: testznj
--Device: Xilinx
--

library UNISIM;
use UNISIM.Vcomponents.ALL;
library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
USE IEEE.STD_LOGIC_TEXTIO.ALL;
USE IEEE.STD_LOGIC_ARITH.ALL;
USE IEEE.STD_LOGIC_UNSIGNED.ALL;
USE STD.TEXTIO.ALL;

ENTITY testznj IS
END testznj;

ARCHITECTURE testbench_arch OF testznj IS
    FILE RESULTS: TEXT OPEN WRITE_MODE IS "results.txt";

    COMPONENT vaja8_2
        PORT (
            a0 : In std_logic;
            a1 : In std_logic;
            a2 : In std_logic;
            a3 : In std_logic;
            b0 : In std_logic;
            b1 : In std_logic;
            b2 : In std_logic;
            b3 : In std_logic;
            c3 : Out std_logic;
            s0 : Out std_logic;
            s1 : Out std_logic;
            s2 : Out std_logic;
            s3 : Out std_logic
        );
    END COMPONENT;

    SIGNAL a0 : std_logic := '0';
    SIGNAL a1 : std_logic := '0';
    SIGNAL a2 : std_logic := '0';
    SIGNAL a3 : std_logic := '0';
    SIGNAL b0 : std_logic := '0';
    SIGNAL b1 : std_logic := '0';
    SIGNAL b2 : std_logic := '0';
    SIGNAL b3 : std_logic := '0';
    SIGNAL c3 : std_logic := '0';
    SIGNAL s0 : std_logic := '0';
    SIGNAL s1 : std_logic := '0';
    SIGNAL s2 : std_logic := '0';
    SIGNAL s3 : std_logic := '0';

    BEGIN
        UUT : vaja8_2
        PORT MAP (
            a0 => a0,
            a1 => a1,
            a2 => a2,
            a3 => a3,
            b0 => b0,
            b1 => b1,
            b2 => b2,
            b3 => b3,
            c3 => c3,
            s0 => s0,
            s1 => s1,
            s2 => s2,
            s3 => s3
        );

        PROCESS
            BEGIN
                -- -------------  Current Time:  200ns
                WAIT FOR 200 ns;
                a0 <= '1';
                a1 <= '1';
                a2 <= '1';
                a3 <= '1';
                b0 <= '1';
                b1 <= '1';
                b2 <= '1';
                b3 <= '1';
                -- -------------------------------------
                -- -------------  Current Time:  300ns
                WAIT FOR 100 ns;
                a0 <= '0';
                a1 <= '0';
                a2 <= '0';
                b0 <= '0';
                b1 <= '0';
                b2 <= '0';
                -- -------------------------------------
                WAIT FOR 700 ns;

            END PROCESS;

    END testbench_arch;

