--------------------------------------------------------------------------------
-- Copyright (c) 1995-2008 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 10.1
--  \   \         Application : sch2vhdl
--  /   /         Filename : vaja8_2.vhf
-- /___/   /\     Timestamp : 12/02/2010 14:51:24
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: C:\Programs\Xilinx\10.1\ISE\bin\nt\unwrapped\sch2vhdl.exe -intstyle ise -family xbr -flat -suppress -w D:/vaja8/vaja8_2.sch vaja8_2.vhf
--Design Name: vaja8_2
--Device: xbr
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity vaja8_2 is
   port ( a0 : in    std_logic; 
          a1 : in    std_logic; 
          a2 : in    std_logic; 
          a3 : in    std_logic; 
          b0 : in    std_logic; 
          b1 : in    std_logic; 
          b2 : in    std_logic; 
          b3 : in    std_logic; 
          c3 : out   std_logic; 
          s0 : out   std_logic; 
          s1 : out   std_logic; 
          s2 : out   std_logic; 
          s3 : out   std_logic);
end vaja8_2;

architecture BEHAVIORAL of vaja8_2 is
   attribute BOX_TYPE   : string ;
   signal XLXN_30 : std_logic;
   signal XLXN_32 : std_logic;
   signal XLXN_34 : std_logic;
   signal XLXN_35 : std_logic;
   component sestev
      port ( a     : in    std_logic; 
             b     : in    std_logic; 
             c_in  : in    std_logic; 
             c_out : out   std_logic; 
             S     : out   std_logic);
   end component;
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
begin
   XLXI_1 : sestev
      port map (a=>a0,
                b=>b0,
                c_in=>XLXN_30,
                c_out=>XLXN_32,
                S=>s0);
   
   XLXI_2 : sestev
      port map (a=>a1,
                b=>b1,
                c_in=>XLXN_32,
                c_out=>XLXN_34,
                S=>s1);
   
   XLXI_3 : sestev
      port map (a=>a2,
                b=>b2,
                c_in=>XLXN_34,
                c_out=>XLXN_35,
                S=>s2);
   
   XLXI_4 : sestev
      port map (a=>a3,
                b=>b3,
                c_in=>XLXN_35,
                c_out=>c3,
                S=>s3);
   
   XLXI_8 : GND
      port map (G=>XLXN_30);
   
end BEHAVIORAL;


