VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xbr"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1
        SIGNAL XLXN_2
        SIGNAL XLXN_3
        SIGNAL XLXN_8
        SIGNAL XLXN_9
        SIGNAL a
        SIGNAL b
        SIGNAL c_in
        SIGNAL XLXN_15
        SIGNAL c_out
        SIGNAL S
        PORT Input a
        PORT Input b
        PORT Input c_in
        PORT Output c_out
        PORT Output S
        BEGIN BLOCKDEF and2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF xor2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 60 -128 
            LINE N 256 -96 208 -96 
            ARC N -40 -152 72 -40 48 -48 44 -144 
            ARC N -24 -152 88 -40 64 -48 64 -144 
            LINE N 128 -144 64 -144 
            LINE N 128 -48 64 -48 
            ARC N 44 -144 220 32 208 -96 128 -144 
            ARC N 44 -224 220 -48 128 -48 208 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF or2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -144 48 -144 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -48 48 -48 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 and2
            PIN I0 c_in
            PIN I1 XLXN_3
            PIN O XLXN_15
        END BLOCK
        BEGIN BLOCK XLXI_2 and2
            PIN I0 b
            PIN I1 a
            PIN O XLXN_2
        END BLOCK
        BEGIN BLOCK XLXI_3 xor2
            PIN I0 b
            PIN I1 a
            PIN O XLXN_3
        END BLOCK
        BEGIN BLOCK XLXI_4 xor2
            PIN I0 c_in
            PIN I1 XLXN_3
            PIN O S
        END BLOCK
        BEGIN BLOCK XLXI_6 or2
            PIN I0 XLXN_15
            PIN I1 XLXN_2
            PIN O c_out
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH XLXN_2
            WIRE 912 880 1424 880
        END BRANCH
        INSTANCE XLXI_4 1248 768 R0
        INSTANCE XLXI_6 1424 1008 R0
        INSTANCE XLXI_3 336 736 R0
        INSTANCE XLXI_2 656 976 R0
        INSTANCE XLXI_1 1136 1328 R0
        BEGIN BRANCH XLXN_3
            WIRE 592 640 1008 640
            WIRE 1008 640 1248 640
            WIRE 1008 640 1008 1200
            WIRE 1008 1200 1136 1200
        END BRANCH
        BEGIN BRANCH a
            WIRE 144 608 320 608
            WIRE 320 608 336 608
            WIRE 320 608 320 848
            WIRE 320 848 656 848
        END BRANCH
        BEGIN BRANCH b
            WIRE 160 672 240 672
            WIRE 240 672 336 672
            WIRE 240 672 240 912
            WIRE 240 912 656 912
        END BRANCH
        BEGIN BRANCH c_in
            WIRE 176 704 1120 704
            WIRE 1120 704 1120 1264
            WIRE 1120 1264 1136 1264
            WIRE 1120 704 1248 704
        END BRANCH
        BEGIN BRANCH XLXN_15
            WIRE 1344 944 1344 1120
            WIRE 1344 1120 1456 1120
            WIRE 1456 1120 1456 1232
            WIRE 1344 944 1424 944
            WIRE 1392 1232 1456 1232
        END BRANCH
        BEGIN BRANCH c_out
            WIRE 1680 912 1904 912
        END BRANCH
        BEGIN BRANCH S
            WIRE 1504 672 1888 672
        END BRANCH
        IOMARKER 1904 912 c_out R0 28
        IOMARKER 176 704 c_in R180 28
        IOMARKER 160 672 b R180 28
        IOMARKER 144 608 a R180 28
        IOMARKER 1888 672 S R0 28
    END SHEET
END SCHEMATIC
