--------------------------------------------------------------------------------
-- Copyright (c) 1995-2008 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 10.1
--  \   \         Application : sch2vhdl
--  /   /         Filename : sestev.vhf
-- /___/   /\     Timestamp : 12/02/2010 14:33:35
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: C:\Programs\Xilinx\10.1\ISE\bin\nt\unwrapped\sch2vhdl.exe -intstyle ise -family xbr -flat -suppress -w D:/vaja8/sestev.sch sestev.vhf
--Design Name: sestev
--Device: xbr
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity sestev is
   port ( a     : in    std_logic; 
          b     : in    std_logic; 
          c_in  : in    std_logic; 
          c_out : out   std_logic; 
          S     : out   std_logic);
end sestev;

architecture BEHAVIORAL of sestev is
   attribute BOX_TYPE   : string ;
   signal XLXN_2  : std_logic;
   signal XLXN_3  : std_logic;
   signal XLXN_15 : std_logic;
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
   component XOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR2 : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
begin
   XLXI_1 : AND2
      port map (I0=>c_in,
                I1=>XLXN_3,
                O=>XLXN_15);
   
   XLXI_2 : AND2
      port map (I0=>b,
                I1=>a,
                O=>XLXN_2);
   
   XLXI_3 : XOR2
      port map (I0=>b,
                I1=>a,
                O=>XLXN_3);
   
   XLXI_4 : XOR2
      port map (I0=>c_in,
                I1=>XLXN_3,
                O=>S);
   
   XLXI_6 : OR2
      port map (I0=>XLXN_15,
                I1=>XLXN_2,
                O=>c_out);
   
end BEHAVIORAL;


