VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xbr"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL b0
        SIGNAL b3
        SIGNAL b2
        SIGNAL b1
        SIGNAL s0
        SIGNAL XLXN_21
        SIGNAL s2
        SIGNAL c3
        SIGNAL s3
        SIGNAL s1
        SIGNAL a0
        SIGNAL XLXN_30
        SIGNAL a1
        SIGNAL XLXN_32
        SIGNAL a2
        SIGNAL XLXN_34
        SIGNAL XLXN_35
        SIGNAL a3
        PORT Input b0
        PORT Input b3
        PORT Input b2
        PORT Input b1
        PORT Output s0
        PORT Output s2
        PORT Output c3
        PORT Output s3
        PORT Output s1
        PORT Input a0
        PORT Input a1
        PORT Input a2
        PORT Input a3
        BEGIN BLOCKDEF sestev
            TIMESTAMP 2010 12 2 13 21 8
            RECTANGLE N 64 -192 320 0 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -160 384 -160 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -128 64 -96 
            LINE N 64 -64 64 -80 
            LINE N 88 -64 40 -64 
            LINE N 68 -32 60 -32 
            LINE N 76 -48 52 -48 
            LINE N 64 -64 64 -96 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 sestev
            PIN a a0
            PIN b b0
            PIN c_in XLXN_30
            PIN c_out XLXN_32
            PIN S s0
        END BLOCK
        BEGIN BLOCK XLXI_2 sestev
            PIN a a1
            PIN b b1
            PIN c_in XLXN_32
            PIN c_out XLXN_34
            PIN S s1
        END BLOCK
        BEGIN BLOCK XLXI_3 sestev
            PIN a a2
            PIN b b2
            PIN c_in XLXN_34
            PIN c_out XLXN_35
            PIN S s2
        END BLOCK
        BEGIN BLOCK XLXI_4 sestev
            PIN a a3
            PIN b b3
            PIN c_in XLXN_35
            PIN c_out c3
            PIN S s3
        END BLOCK
        BEGIN BLOCK XLXI_8 gnd
            PIN G XLXN_30
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_1 1360 768 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_2 1376 1072 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_3 1376 1408 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_4 1376 1744 R0
        END INSTANCE
        BEGIN BRANCH b0
            WIRE 1056 672 1360 672
        END BRANCH
        BEGIN BRANCH b3
            WIRE 992 1648 1376 1648
        END BRANCH
        BEGIN BRANCH b2
            WIRE 1040 1312 1376 1312
        END BRANCH
        BEGIN BRANCH b1
            WIRE 1008 976 1376 976
        END BRANCH
        IOMARKER 2032 608 s0 R0 28
        IOMARKER 2032 912 s1 R0 28
        IOMARKER 2048 1248 s2 R0 28
        IOMARKER 992 1648 b3 R180 28
        IOMARKER 1040 1312 b2 R180 28
        IOMARKER 1008 976 b1 R180 28
        IOMARKER 1056 672 b0 R180 28
        IOMARKER 2064 1712 s3 R0 28
        IOMARKER 2112 1584 c3 R0 28
        BEGIN BRANCH s0
            WIRE 1744 736 1888 736
            WIRE 1888 608 1888 736
            WIRE 1888 608 2032 608
        END BRANCH
        BEGIN BRANCH s2
            WIRE 1760 1376 1904 1376
            WIRE 1904 1248 1904 1376
            WIRE 1904 1248 2048 1248
        END BRANCH
        BEGIN BRANCH c3
            WIRE 1760 1584 2112 1584
        END BRANCH
        BEGIN BRANCH s3
            WIRE 1760 1712 2064 1712
        END BRANCH
        BEGIN BRANCH s1
            WIRE 1760 1040 1888 1040
            WIRE 1888 912 1888 1040
            WIRE 1888 912 2032 912
        END BRANCH
        IOMARKER 1088 592 a0 R180 28
        BEGIN BRANCH a0
            WIRE 1088 592 1216 592
            WIRE 1216 592 1216 608
            WIRE 1216 608 1360 608
        END BRANCH
        INSTANCE XLXI_8 752 864 R0
        BEGIN BRANCH XLXN_30
            WIRE 816 672 816 736
            WIRE 816 672 896 672
            WIRE 896 672 896 736
            WIRE 896 736 1360 736
        END BRANCH
        IOMARKER 1024 896 a1 R180 28
        BEGIN BRANCH a1
            WIRE 1024 896 1200 896
            WIRE 1200 896 1200 912
            WIRE 1200 912 1376 912
        END BRANCH
        BEGIN BRANCH XLXN_32
            WIRE 1312 1040 1376 1040
            WIRE 1312 1040 1312 1136
            WIRE 1312 1136 1840 1136
            WIRE 1744 608 1840 608
            WIRE 1840 608 1840 1136
        END BRANCH
        IOMARKER 1120 1248 a2 R180 28
        BEGIN BRANCH a2
            WIRE 1120 1248 1360 1248
            WIRE 1360 1248 1376 1248
        END BRANCH
        BEGIN BRANCH XLXN_34
            WIRE 1312 1376 1376 1376
            WIRE 1312 1376 1312 1472
            WIRE 1312 1472 1824 1472
            WIRE 1760 912 1824 912
            WIRE 1824 912 1824 1472
        END BRANCH
        IOMARKER 1104 1568 a3 R180 28
        BEGIN BRANCH XLXN_35
            WIRE 1312 1488 1312 1712
            WIRE 1312 1712 1376 1712
            WIRE 1312 1488 1808 1488
            WIRE 1760 1248 1808 1248
            WIRE 1808 1248 1808 1488
        END BRANCH
        BEGIN BRANCH a3
            WIRE 1104 1568 1232 1568
            WIRE 1232 1568 1232 1584
            WIRE 1232 1584 1376 1584
        END BRANCH
    END SHEET
END SCHEMATIC
